
/*=============================================================================
   beest, an HTML viewer.
   Copyright (C) 2000 Zachary Thayer Smith

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   The author is reachable by electronic mail at zeyr@excite.com.
=============================================================================*/

/*----------------------------------------------------------------------
 * Module name:    error.h
 * Author name:    Zach Smith
 * Create date:    1 Oct 2000
 * Last change:    26 Nov 2000
 * Purpose:        Type definitions, prototypes, defines for error 
 *                 handling.
 *----------------------------------------------------------------------
 * Changes:
 *--------------------------------------------------------------------*/

#ifndef _ERROR
#define _ERROR

#ifndef TURBO_C

#define CHECK_PARAM_NOT_NULL(XX) { if (!(XX)) { fprintf(stderr, "error: null param in %s, line %d, func %s\n",__FILE__,__LINE__,__FUNCTION__); if (debug_mode) { char *x=0; *x=0; } else exit(-3); }}
#define ENTER { if (debug_mode && logfile) { fprintf(logfile,"ENTERED %s\n", __FUNCTION__); }}

#else

#define CHECK_PARAM_NOT_NULL(XX) { if (!(XX)) { fprintf(stderr, "error: null param in %s, line %d\n",__FILE__,__LINE__); if (debug_mode) { char *x=0; *x=0; } else exit(-3); }}
#define ENTER { }

#endif


extern void error_handler (char*);
extern void warning_handler (char*);
extern void usage ();


#endif
