
/*=============================================================================
   beest, an HTML viewer.
   Copyright (C) 2000 Zachary Thayer Smith

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   The author is reachable by electronic mail at zeyr@excite.com.
=============================================================================*/

/*----------------------------------------------------------------------
 * Module name:    line.h
 * Author name:    Zach Smith
 * Create date:    1 Oct 2000
 * Last change:    26 Nov 2000
 * Purpose:        Type definitions, prototypes, defines for Line class.
 *----------------------------------------------------------------------
 * Changes:
 *--------------------------------------------------------------------*/

#ifndef _LINE
#define _LINE

#ifndef _WORD
#include "word.h"
#endif


#define LINE_ALIGN_LEFT (0)
#define LINE_ALIGN_CENTER (1)
#define LINE_ALIGN_RIGHT (2)
#define LINE_ALIGN_JUSTIFY (3)
#define LINE_ALIGN_TOP (4)
#define LINE_ALIGN_BOTTOM (5)



typedef struct _ln {
	Coordinate y;

	Dimension width;
	Dimension ascent;
	Dimension descent;

	unsigned short total_words;
	unsigned char h_align;
	unsigned char v_align;

	struct _ln *next;

	Word *word_list;
	Word *last_word;
}
Line;

Line* line_new();
void line_free(Line*);
void line_add_word(Line*,Word*);
void line_dump(FILE*,Line*);
void linelist_dump(FILE*,Line*);

#endif
